## pkb-client 1.2

=== requirements.txt ===
setuptools>=39.0.1
requests>=2.20.0
