=== debian/control ===
Source: pkb-client
Priority: optional
Section: utils
Maintainer: Unit 193 <unit193@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/infinityofspace/pkb_client
Vcs-Browser: https://git.unit193.net/cgit/users/unit193/pkb-client.git
Vcs-Git: https://git.unit193.net/cgit/users/unit193/pkb-client.git

Package: pkb-client
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Unofficial client for the Porkbun API
 pkb_client is an unofficial client for the Porkbun API.
 It supports the v3 of the API. You can find the official
 documentation of the Porkbun API at
 https://porkbun.com/api/json/v3/documentation
