=== debian/changelog ===
pkb-client (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0.
  * d/control: Add B-D on python3-(dnspython,requests).
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Wed, 20 Nov 2024 01:18:52 -0500
