=== debian/control ===
--- 
+++ 
@@ -8,9 +8,11 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-dnspython,
+ python3-requests,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/infinityofspace/pkb_client
 Vcs-Browser: https://git.unit193.net/cgit/users/unit193/pkb-client.git
 Vcs-Git: https://git.unit193.net/cgit/users/unit193/pkb-client.git
