=== debian/changelog ===
pkb-client (2.1.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Unit 193 <unit193@debian.org>  Tue, 15 Apr 2025 01:14:57 -0400

pkb-client (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1.
  * d/copyright: Bump years.
  * Update Standards-Version to 4.7.2.

 -- Unit 193 <unit193@debian.org>  Thu, 10 Apr 2025 05:31:10 -0400
