=== debian/watch ===
version=4
https://github.com/infinityofspace/pkb_client/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
