=== debian/changelog ===
pkb-client (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0.

 -- Unit 193 <unit193@debian.org>  Sat, 16 Aug 2025 06:57:24 -0400
