=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-requests,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/infinityofspace/pkb_client
 Vcs-Browser: https://git.unit193.net/cgit/users/unit193/pkb-client.git
 Vcs-Git: https://git.unit193.net/cgit/users/unit193/pkb-client.git
