=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pkb-client

%:
	dh $@ --buildsystem=pybuild
