## pkb-client 2.3.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,8 @@
-VERSION       = 2.0.0
+VERSION       = 2.3.0
 RELEASE       = 1
 
 # system paths
-RESULT_PATH   = target
-RPMBUILD_PATH = ~/rpmbuild
+RESULT_PATH   = ${PWD}/target
 
 #------------------------------------------------------------------------------
 # COMMANDS
@@ -52,35 +51,32 @@
 URL:            https://github.com/infinityofspace/pkb_client/
 Source0:        %{name}-%{version}.tar.xz
 
-Requires:       python3-requests
-Requires:       python3-dns
-Requires:       python3-responses
 
 BuildArch:      noarch
-BuildRequires:  python3-setuptools
-BuildRequires:  python3-rpm-macros
-BuildRequires:  python3-py
 
-%?python_enable_dependency_generator
+BuildRequires:  python3-devel
 
 %description
-Python client for the Porkbun API
+Python client for the Porkbun API.
 
-%%prep
+%prep
 %autosetup -n %{modname}_v%{version}
 
+%generate_buildrequires
+%pyproject_buildrequires
+
 %build
-%py3_build
+%pyproject_wheel
 
 %install
-%py3_install
+%pyproject_install
 
 %files
+%license License
 %doc Readme.md
-%license License
 %{_bindir}/pkb-client
 %{python3_sitelib}/%{modname}/
-%{python3_sitelib}/%{modname}-%{version}*
+%{python3_sitelib}/%{modname}-*.dist-info/
 
 %changelog
 ...
@@ -98,21 +94,18 @@
 	@mkdir -p ${RESULT_PATH}/
 	@printf '[INFO] packing python3-pkb-client-'${VERSION}'.tar.xz\n' | tee -a ${RESULT_PATH}/build.log
 	@mkdir -p ${RESULT_PATH}/pkb_client_v${VERSION}
-	@cp -r pkb_client requirements.txt setup.py License Readme.md \
+	@cp -r pkb_client pyproject.toml requirements.txt setup.py License Readme.md \
 		${RESULT_PATH}/pkb_client_v${VERSION}/
 	@cd ${RESULT_PATH}; tar -I "pxz -9" -cf python3-pkb-client-${VERSION}.tar.xz pkb_client_v${VERSION}
 
 ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm: ${RESULT_PATH}/python3-pkb-client-${VERSION}.tar.xz python3-pkb-client.spec
 	@printf '[INFO] building python3-pkb-client-'${VERSION}-${RELEASE}'.src.rpm\n' | tee -a ${RESULT_PATH}/build.log
-	@mkdir -p ${RPMBUILD_PATH}/SOURCES/
-	@cp ${RESULT_PATH}/python3-pkb-client-${VERSION}.tar.xz ${RPMBUILD_PATH}/SOURCES/
-	@rpmbuild -bs python3-pkb-client.spec &>> ${RESULT_PATH}/build.log
-	@mv ${RPMBUILD_PATH}/SRPMS/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm ${RESULT_PATH}/
+	@rpmbuild -D "_topdir ${RESULT_PATH}" -D "_sourcedir %{_topdir}" -bs python3-pkb-client.spec &>> ${RESULT_PATH}/build.log
+	@mv ${RESULT_PATH}/SRPMS/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm ${RESULT_PATH}/
 
 ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.noarch.rpm: ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm
 	@printf '[INFO] building python3-pkb-client-'${VERSION}-${RELEASE}'.noarch.rpm\n' | tee -a ${RESULT_PATH}/build.log
-	@mkdir -p ${RPMBUILD_PATH}/SRPMS/
-	@cp ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm ${RPMBUILD_PATH}/SRPMS/
-	@rpmbuild --rebuild ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm &>> ${RESULT_PATH}/build.log
-	@mv ${RPMBUILD_PATH}/RPMS/noarch/python3-pkb-client-${VERSION}-${RELEASE}.noarch.rpm ${RESULT_PATH}/
+	@rpmbuild -D "_topdir ${RESULT_PATH}" --rebuild ${RESULT_PATH}/python3-pkb-client-${VERSION}-${RELEASE}.src.rpm &>> ${RESULT_PATH}/build.log
+	@mv ${RESULT_PATH}/RPMS/noarch/python3-pkb-client-${VERSION}-${RELEASE}.noarch.rpm ${RESULT_PATH}/
 
+
