=== debian/changelog ===
pkb-client (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0. (Closes: #1083544)
  * d/control:
    - Drop 'priority' and R³, set by default.
    - Move to Codeberg.
  * d/copyright: Bump years.
  * Update Standards-Version to 4.7.3.

 -- Unit 193 <unit193@debian.org>  Tue, 03 Feb 2026 02:53:16 -0500
