=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: pkb-client
-Priority: optional
 Section: utils
 Maintainer: Unit 193 <unit193@debian.org>
 Build-Depends:
@@ -11,11 +10,10 @@
  python3-dnspython,
  python3-requests,
  python3-setuptools,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/infinityofspace/pkb_client
-Vcs-Browser: https://git.unit193.net/cgit/users/unit193/pkb-client.git
-Vcs-Git: https://git.unit193.net/cgit/users/unit193/pkb-client.git
+Vcs-Browser: https://codeberg.org/Unit193/pkb-client
+Vcs-Git: https://codeberg.org/Unit193/pkb-client.git
 
 Package: pkb-client
 Architecture: all
